Bug 29904 - changing ucc/pxe ucr variables does not affect existing pxe configurations
changing ucc/pxe ucr variables does not affect existing pxe configurations
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Felix Botner
Erik Damrose
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-02 14:42 CET by Felix Botner
Modified: 2014-06-12 09:19 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2013-01-02 14:42:48 CET
-> ucr set ucc/pxe/ldapport=1244

-> grep 1244 /var/lib/univention-client-boot/pxelinux.cfg/*

In tcs we had a ucr module (script) that was bound to the pxe variables and changed to values in the pxe configuration file in place.
Alternatively, we could run 

univention-directory-listener-ctrl resync uccpxeboot

to recreate the configurations.
Comment 1 Felix Botner univentionstaff 2013-12-19 10:39:27 CET
see also 

ucs-2.4/ucs-tcs/univention-client-boot-pxe-/conffiles/clientbootpxe.py
Comment 2 Moritz Muehlenhoff univentionstaff 2013-12-19 11:00:35 CET
This simplifies things a lot and the code is already there.
Comment 3 Felix Botner univentionstaff 2014-04-04 11:55:47 CEST
Added the ucr module uccpxeboot.py. This module update the followings settings in the existing pxe configs if the corresponding ucr vars are changed

Flag: splash -> ucc/pxe/bootsplash
Flag: quiet -> ucc/pxe/quiet
Parameter: timezone=%s -> ucc/pxe/timezone
Parameter: loglevel=%s -> ucc/pxe/loglevel
Parameter: vga=%s -> ucc/pxe/vga
Parameter: keyboard=%s -> xorg/keyboard/options/XkbLayout
Parameter: locale=%s -> locale/default
Generic: %s -> ucc/pxe/append
NFSROOT: nfsroot=%s:/var/lib/univention-client-root -> ucc/pxe/nfsroot
Comment 4 Erik Damrose univentionstaff 2014-04-08 14:19:42 CEST
- Typo in module conffiles/uccpxeboot.py: the default path is /var/lib/univention-client-boot

OK: All parameter changes are set correctly and are applied to the pxeconfig
OK: Changelog
Comment 5 Felix Botner univentionstaff 2014-04-08 16:20:38 CEST
(In reply to Erik Damrose from comment #4)
> - Typo in module conffiles/uccpxeboot.py: the default path is
> /var/lib/univention-client-boot
fixed
Comment 6 Erik Damrose univentionstaff 2014-04-08 16:29:54 CEST
Typo has been fixed. Bug verified!
Comment 7 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:48 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".